package com.iamberry.wechat.service.activity;

import com.iamberry.wechat.core.entity.activity.ActivityHelp;
import com.iamberry.wechat.face.activity.ActivityHelpService;
import com.iamberry.wechat.service.mapper.ActivityHelpMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  活动好友助力接口
 * @author w
 * @Date 2018-06-07
 */
@Service
public class ActivityHelpServiceImpl  implements ActivityHelpService {
    @Autowired
    private ActivityHelpMapper activityHelpMapper;
    /**
     * 获取集合
     * @param  activityHelp
     * @return List
     */
    @Override
    public List<ActivityHelp> getActivityHelpList(ActivityHelp  activityHelp){
        return  activityHelpMapper.getActivityHelpList(activityHelp);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  activityHelp
     */
    @Override
    public  ActivityHelp  getActivityHelpById(Integer  id){
        return  activityHelpMapper.getActivityHelpById(id);
    }
    /**
     * 增加数据
     * @param  activityHelp
     * @return Integer
     */
    @Override
    public  Integer  save(ActivityHelp  activityHelp){
        return  activityHelpMapper.save(activityHelp);
    }
    /**
     * 修改数据
     * @param  activityHelp
     * @return Integer
     */
    @Override
    public  Integer  update(ActivityHelp  activityHelp){
        return  activityHelpMapper.update(activityHelp);
    }
}
